{
    "$schema": "node_modules/wrangler/config-schema.json",
    "name": "artapi",
    "compatibility_date": "2025-12-13",
    "compatibility_flags": [
        "nodejs_compat",
    ],
    "preview_urls": true,
    "workers_dev": true,
    "main": "./.output/server/index.mjs",
    "routes": [
        {
            "pattern": "api.arthurdanjou.fr",
            "zone_name": "arthurdanjou.fr",
            "custom_domain": true
        }
    ],
    "placement": {
        "mode": "smart",
    },
    "assets": {
        "binding": "ASSETS",
        "directory": "./.output/public/"
    },
    "d1_databases": [
        {
            "binding": "DB",
            "database_id": "d6c86b05-f4aa-4dcf-8962-e0b0d538d302"
        }
    ],
    "kv_namespaces": [
        {
            "binding": "CACHE",
            "id": "0158163e35cf4804832a38863aed8ee9",
        }
    ],
    "observability": {
        "enabled": true,
        "logs": {
            "enabled": true,
            "head_sampling_rate": 1,
            "persist": true,
            "invocation_logs": true
        },
        "traces": {
            "enabled": true,
            "head_sampling_rate": 1,
            "persist": true
        }
    }
}